lasq5(3)

NAME
lasq5 - lasq5: dqds step

SYNOPSIS

  Functions
subroutine dlasq5 (i0, n0, z, pp, tau, sigma, dmin, dmin1, dmin2, dn, dnm1, dnm2, ieee, eps)
DLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.
subroutine slasq5 (i0, n0, z, pp, tau, sigma, dmin, dmin1, dmin2, dn, dnm1, dnm2, ieee, eps)
SLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.

Detailed Description

Function Documentation

  subroutine dlasq5 (integer i0, integer n0, double precision, dimension( * ) z, integer pp, double precision tau, double precision sigma, double precision dmin, double precision dmin1, double precision dmin2, double precision dn, double precision dnm1, double precision dnm2, logical ieee, double precision eps)

DLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.

Purpose:

    !>
    !> DLASQ5 computes one dqds transform in ping-pong form, one
    !> version for IEEE machines another for non IEEE machines.
    !>

Parameters
    I0

    !>          I0 is INTEGER
    !>        First index.
    !>

    N0

    !>          N0 is INTEGER
    !>        Last index.
    !>

    Z

    !>          Z is DOUBLE PRECISION array, dimension ( 4*N )
    !>        Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
    !>        an extra argument.
    !>

    PP

    !>          PP is INTEGER
    !>        PP=0 for ping, PP=1 for pong.
    !>

    TAU

    !>          TAU is DOUBLE PRECISION
    !>        This is the shift.
    !>

    SIGMA

    !>          SIGMA is DOUBLE PRECISION
    !>        This is the accumulated shift up to this step.
    !>

    DMIN

    !>          DMIN is DOUBLE PRECISION
    !>        Minimum value of d.
    !>

    DMIN1

    !>          DMIN1 is DOUBLE PRECISION
    !>        Minimum value of d, excluding D( N0 ).
    !>

    DMIN2

    !>          DMIN2 is DOUBLE PRECISION
    !>        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
    !>

    DN

    !>          DN is DOUBLE PRECISION
    !>        d(N0), the last value of d.
    !>

    DNM1

    !>          DNM1 is DOUBLE PRECISION
    !>        d(N0-1).
    !>

    DNM2

    !>          DNM2 is DOUBLE PRECISION
    !>        d(N0-2).
    !>

    IEEE

    !>          IEEE is LOGICAL
    !>        Flag for IEEE or non IEEE arithmetic.
    !>

    EPS

    !>          EPS is DOUBLE PRECISION
    !>        This is the value of epsilon used.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 142 of file dlasq5.f.

  subroutine slasq5 (integer i0, integer n0, real, dimension( * ) z, integer pp, real tau, real sigma, real dmin, real dmin1, real dmin2, real dn, real dnm1, real dnm2, logical ieee, real eps)

SLASQ5 computes one dqds transform in ping-pong form. Used by sbdsqr and sstegr.

Purpose:

    !>
    !> SLASQ5 computes one dqds transform in ping-pong form, one
    !> version for IEEE machines another for non IEEE machines.
    !>

Parameters
    I0

    !>          I0 is INTEGER
    !>        First index.
    !>

    N0

    !>          N0 is INTEGER
    !>        Last index.
    !>

    Z

    !>          Z is REAL array, dimension ( 4*N )
    !>        Z holds the qd array. EMIN is stored in Z(4*N0) to avoid
    !>        an extra argument.
    !>

    PP

    !>          PP is INTEGER
    !>        PP=0 for ping, PP=1 for pong.
    !>

    TAU

    !>          TAU is REAL
    !>        This is the shift.
    !>

    SIGMA

    !>          SIGMA is REAL
    !>        This is the accumulated shift up to this step.
    !>

    DMIN

    !>          DMIN is REAL
    !>        Minimum value of d.
    !>

    DMIN1

    !>          DMIN1 is REAL
    !>        Minimum value of d, excluding D( N0 ).
    !>

    DMIN2

    !>          DMIN2 is REAL
    !>        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
    !>

    DN

    !>          DN is REAL
    !>        d(N0), the last value of d.
    !>

    DNM1

    !>          DNM1 is REAL
    !>        d(N0-1).
    !>

    DNM2

    !>          DNM2 is REAL
    !>        d(N0-2).
    !>

    IEEE

    !>          IEEE is LOGICAL
    !>        Flag for IEEE or non IEEE arithmetic.
    !>

    EPS

    !>         EPS is REAL
    !>        This is the value of epsilon used.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 142 of file slasq5.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.